RedCrawler API
Users V1

Unfollow User V1

Unfollow a user. Accepts username, profile URL, user ID, or t2_ prefixed ID.

POST /api/v1/profiles/unfollow

Unfollow a user. Accepts username, profile URL, user ID, or t2_ prefixed ID.

Body parameters

NameTypeRequiredDescription
userstringYesUsername, profile URL, user ID, or t2_ prefixed ID.
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/profiles/unfollow" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"user": "Motor_Tip8865", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/unfollow", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "user": "Motor_Tip8865",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/unfollow"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "user": "Motor_Tip8865",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {},
  "error": null,
  "timestamp": "2026-04-29T18:08:05.175914+00:00"
}

On this page